#!/bin/sh
#
# Script d'installation de powerfail et de oupsd
# a utiliser pour le projet oups! <http://rsuinux.free.fr/oups/index.html>
#
# Adapt du Howto-UPS et de la Faq-UPS
#
# Version 0.3 (23/01/2001)
#
# Auteur R. Suinot, <rsuinux@gmx.fr>
#

echo "script d'installation de:
	powerfail	dans /etc/init.d/
	oupsd.sh	dans /etc/init.d/
	oupsd		dans /usr/local/sbin/
	status		dans /usr/local/bin/"

echo
echo "copie de powerfail"
cp ./powerfail /etc/init.d/powerfail
echo "Changement des autorisations"
chmod ug+x /etc/init.d/powerfail
chmod o-x /etc/init.d/powerfail


echo
echo "compilation du demon oupsd"
/bin/sh ./compile.sh oupsd
if [ -e "./oupsd" ]
then
  echo "  pas d'erreur."
  echo "copie de oupsd"
  cp ./oupsd /usr/local/sbin/oupsd
  echo "Changement des autorisations"
  chmod ug+x /usr/local/sbin/oupsd
  chmod o-x /usr/local/sbin/oupsd
else
  echo " erreur(s) lors de la compilation."
  echo " arret de l'installation."
  exit 1
fi

echo
echo "compilation de status.c"
/bin/sh ./compile.sh status
if [ -e "./oupsd" ]
then
  echo "  pas d'erreur."
  echo "copie de status"
  cp ./status /usr/local/bin/status
  echo "Changement des autorisations"
  chmod ug+x /usr/local/bin/status
  chmod o-x /usr/local/bin/status
else
  echo " erreur(s) lors de la compilation."
  echo " arret de l'installation."
  exit 1
fi

echo
echo "copie de oupsd.sh"
cp ./oupsd.sh /etc/init.d/oupsd

echo
echo "Creation du lien pour le demarrage (modifiez selon votre distribution)"
ln -s /etc/init.d/oupsd /etc/rc2.d/S50oupsd

echo
echo "Fin de l'installation. Assurez vous que tout est bien au bonne endroit!"
echo " Regardez et modifiez si besoin, le script /etc/init.d/oupsd.sh pour adapter"
echo " le port auquel sera attache le hardware."
exit 0

